org.apache.avro.ipc.netty

## Class NettyTransportCodec.NettyFrameEncoder

- java.lang.Object
- - io.netty.channel.ChannelHandlerAdapter
  - - io.netty.channel.ChannelOutboundHandlerAdapter
    - - io.netty.handler.codec.MessageToMessageEncoder<NettyTransportCodec.NettyDataPack>
      - - org.apache.avro.ipc.netty.NettyTransportCodec.NettyFrameEncoder

All Implemented Interfaces:
  io.netty.channel.ChannelHandler, io.netty.channel.ChannelOutboundHandler

Enclosing class:
  NettyTransportCodec

    public static class NettyTransportCodec.NettyFrameEncoder
    extends io.netty.handler.codec.MessageToMessageEncoder<NettyTransportCodec.NettyDataPack>

Protocol encoder which converts NettyDataPack which contains the Responder's output List<ByteBuffer> to ChannelBuffer needed by Netty.

### Nested Class Summary

### Nested classes/interfaces inherited from interface io.netty.channel.ChannelHandler

`io.netty.channel.ChannelHandler.Sharable`

### Constructor Summary

Constructors
Constructor and Description
`NettyFrameEncoder()`

### Method Summary

All Methods Instance Methods Concrete Methods
`protected void` `encode(io.netty.channel.ChannelHandlerContext ctx, NettyTransportCodec.NettyDataPack dataPack, List<Object> out)` encode msg to ChannelBuffer

### Methods inherited from class io.netty.handler.codec.MessageToMessageEncoder

`acceptOutboundMessage, write`

### Methods inherited from class io.netty.channel.ChannelOutboundHandlerAdapter

`bind, close, connect, deregister, disconnect, flush, read`

### Methods inherited from class io.netty.channel.ChannelHandlerAdapter

`ensureNotSharable, exceptionCaught, handlerAdded, handlerRemoved, isSharable`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface io.netty.channel.ChannelHandler

`exceptionCaught, handlerAdded, handlerRemoved`

### Constructor Detail

#### NettyFrameEncoder

    public NettyFrameEncoder()

### Method Detail

#### encode

    protected void encode(io.netty.channel.ChannelHandlerContext ctx,
                          NettyTransportCodec.NettyDataPack dataPack,
                          List<Object> out)
                   throws Exception

encode msg to ChannelBuffer

Specified by:
  `encode` in class `io.netty.handler.codec.MessageToMessageEncoder<NettyTransportCodec.NettyDataPack>`
Parameters:
  `msg` - NettyDataPack from NettyServerAvroHandler/NettyClientAvroHandler in the pipeline
Throws:
  `Exception`